import { select, range } from 'd3';
const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const render = (selection, { fruits } ) => {
    const circles = selection.selectAll('cicle').data(fruits);
  
    circles.enter().append('circle')
        .attr('cx', (d,i) => i * 120 + 60)
        .attr('cy', height /2)
        .attr('fill','#c11d1d')
        .attr('r',50);
  
		circles.exit().remove(); 
}

const makeFruit = type => ({type});
const fruits = range(5).map(() => makeFruit('apple'));

render(svg, { fruits });

setTimeout(() => { 
  fruits.pop(); 
  render(svg, { fruits });
}, 1000);

setTimeout(() => { 
  fruits.pop(); 
  render(svg, { fruits });
}, 2000);


	